curl --request POST \
--url 'https://api.stateset.com/api/v1/ar/invoices/{invoice_id}/dunning' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"letter_type": "string",
"sent_by": null
}'
{
"activity_type": "string",
"contact_method": null,
"contact_result": null,
"created_at": "string",
"customer_id": "string",
"dunning_letter_type": null,
"id": "string",
"invoice_id": "string",
"notes": null,
"performed_by": null,
"promise_to_pay_amount": null,
"promise_to_pay_date": null
}
Ar send dunning
Ar send dunning
POST
/
api
/
v1
/
ar
/
invoices
/
{invoice_id}
/
dunning
curl --request POST \
--url 'https://api.stateset.com/api/v1/ar/invoices/{invoice_id}/dunning' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"letter_type": "string",
"sent_by": null
}'
{
"activity_type": "string",
"contact_method": null,
"contact_result": null,
"created_at": "string",
"customer_id": "string",
"dunning_letter_type": null,
"id": "string",
"invoice_id": "string",
"notes": null,
"performed_by": null,
"promise_to_pay_amount": null,
"promise_to_pay_date": null
}
Path parameters
string
required
Invoice ID
Request body
SendArDunningRequest
string
required
One of
reminder_1, reminder_2, reminder_3, demand_letter, collection_notice.string,null
Responses
ArCollectionActivityResponse
ErrorBody
curl --request POST \
--url 'https://api.stateset.com/api/v1/ar/invoices/{invoice_id}/dunning' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"letter_type": "string",
"sent_by": null
}'
{
"activity_type": "string",
"contact_method": null,
"contact_result": null,
"created_at": "string",
"customer_id": "string",
"dunning_letter_type": null,
"id": "string",
"invoice_id": "string",
"notes": null,
"performed_by": null,
"promise_to_pay_amount": null,
"promise_to_pay_date": null
}
โI